Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tdb.cmdline
Class ModTDBGraphStore

    java.lang.Object
      arq.cmdline.ModBase
          arq.cmdline.ModDataset
              arq.cmdline.ModDatasetGeneral
                  arq.cmdline.ModDatasetGeneralAssembler
                      arq.cmdline.ModGraphStore
                          tdb.cmdline.ModTDBGraphStore

All Implemented Interfaces:
  arq.cmdline.ArgModule, arq.cmdline.ArgModuleGeneral

    public class ModTDBGraphStore

extends arq.cmdline.ModGraphStore

Constructor Summary
`ModTDBGraphStore()`

Method Summary
`com.hp.hpl.jena.update.GraphStore` | `createGraphStore()`
`void` | `processArgs(arq.cmdline.CmdArgModule cmdLine)`
`void` | `registerWith(arq.cmdline.CmdGeneral cmdLine)`

Methods inherited from class arq.cmdline.ModGraphStore
`getGraphStore`

Methods inherited from class arq.cmdline.ModDatasetGeneralAssembler
`createDataset`

Methods inherited from class arq.cmdline.ModDatasetGeneral
`getGraphURLs, getNamedGraphURLs`

Methods inherited from class arq.cmdline.ModDataset
`getDataset`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModTDBGraphStore

    public ModTDBGraphStore()

Method Detail

### registerWith

    public void registerWith(arq.cmdline.CmdGeneral cmdLine)

  Specified by:
    `registerWith` in interface `arq.cmdline.ArgModuleGeneral`
  Overrides:
    `registerWith` in class `arq.cmdline.ModGraphStore`

### processArgs

    public void processArgs(arq.cmdline.CmdArgModule cmdLine)

  Specified by:
    `processArgs` in interface `arq.cmdline.ArgModule`
  Overrides:
    `processArgs` in class `arq.cmdline.ModGraphStore`

### createGraphStore

    public com.hp.hpl.jena.update.GraphStore createGraphStore()

  Overrides:
    `createGraphStore` in class `arq.cmdline.ModGraphStore`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Talis Information Ltd. Copyright ? 2010 Epimorphics Ltd.